### Right Click Detection.

scoreboard objectives add lighten minecraft.used:minecraft.carrot_on_a_stick

execute as @a[scores={lighten=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{lightener:1}}}] run execute at @s run effect give @s regeneration 30 255

execute as @a[scores={lighten=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{lightener:1}}}] run execute at @s run effect give @a minecraft:instant_health 20 255

execute as @a[scores={lighten=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{lightener:1}}}] run execute at @s run summon lightning_bolt ^ ^-1 ^10

execute as @a[scores={lighten=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{lightener:1}}}] run execute at @s run summon creeper ^ ^-1 ^10 {ignited:1,Fuse:1}

execute as @a[scores={lighten=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{lightener:1}}}] run execute at @s run title @s actionbar {"text":"Zeus Awakened","color":"gold","bold":"true"}

execute as @a[scores={lighten=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{lightener:1}}}] run execute at @s run particle minecraft:totem_of_undying ~ ~ ~ ~ ~30 ~ 1 50023 force

execute as @a[scores={lighten=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{lightener:1}}}] run execute at @s run

scoreboard players remove @a[scores={lighten=1..}] lighten 1


###### Second Item {Trident-Staff}  #####


scoreboard objectives add drowner minecraft.used:minecraft.carrot_on_a_stick

execute as @a[scores={drowner=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{drowner:1}}}] run execute at @s run effect give @s minecraft:conduit_power 30 15

execute as @a[scores={drowner=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{drowner:1}}}] run execute at @s run effect give @s minecraft:dolphins_grace 100 15

execute as @a[scores={drowner=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{drowner:1}}}] run execute at @s run effect give @s minecraft:fire_resistance 100 15

execute as @a[scores={drowner=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{drowner:1}}}] run execute at @s run effect give @s minecraft:levitation 2 1

execute as @a[scores={drowner=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{drowner:1}}}] run execute at @s run effect give @s minecraft:speed 20 3

execute as @a[scores={drowner=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{drowner:1}}}] run execute at @s run particle minecraft:soul_fire_flame ~ ~ ~ 0.1 0.1 0.1 0 10 force

execute as @a[scores={drowner=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{drowner:1}}}] run execute at @s run title @s actionbar {"text":"Poseidon Awakened","color":"blue","bold":"true"}



execute as @a[scores={drowner=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{drowner:1}}}] run execute at @s run weather rain 5

scoreboard players remove @a[scores={drowner=1..}] drowner 1

######## AXe Of Hades (R. Click Detection)


scoreboard objectives add hades minecraft.used:minecraft.carrot_on_a_stick

execute as @a[scores={hades=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{hades:1}}}] run execute at @s run summon skeleton ^ ^ ^8 {Health:30f,HandItems:[{id:"minecraft:wooden_sword",Count:1b,tag:{display:{Name:'{"text":"Sword Of Lost Souls","color":"aqua"}'},HideFlags:127,Enchantments:[{id:"minecraft:sharpness",lvl:2s},{id:"minecraft:knockback",lvl:3s}]}},{}],HandDropChances:[100.000F,0.085F],ArmorItems:[{},{},{},{id:"minecraft:iron_helmet",Count:1b,tag:{Enchantments:[{}]}}],ArmorDropChances:[75F,0.085F,0.085F,0.000F],Attributes:[{Name:generic.movement_speed,Base:0.1}]}

execute as @a[scores={hades=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{hades:1}}}] run execute at @s run summon lightning_bolt ^ ^5 ^20

execute as @a[scores={hades=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{hades:1}}}] run execute at @s run title @s actionbar {"text":"Hades Awakened","color":"dark_red","bold":"true"}

execute as @a[scores={hades=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{hades:1}}}] run execute at @s run particle soul ~ ~-1 ~ 1 1 1 0 58 force

#execute as @a[scores={hades=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{hades:1}}}] run execute at @s run replaceitem entity @s armor.head minecraft:wither_skeleton_skull

scoreboard players remove @a[scores={hades=1..}] hades 1

# RCD {Update 1.1}

scoreboard objectives add athena minecraft.used:minecraft.carrot_on_a_stick

execute as @a[scores={athena=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{athena:1}}}] run execute at @s run title @s actionbar {"text":"Athena Awakened","color":"dark_aqua","bold":"true"}

execute as @a[scores={athena=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{athena:1}}}] run execute at @s run particle firework ~ ~1 ~ 1 1 1 0 78 force

execute as @a[scores={athena=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{athena:1}}}] run execute at @s run effect give @s invisibility 5 1

#execute as @a[scores={athena=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{athena:1}}}] run execute at @s run effect give @s night_vision 5 1

scoreboard players remove @a[scores={athena=1..}] athena 1

# even more RCD {1.1}

scoreboard objectives add elixir minecraft.used:minecraft.carrot_on_a_stick

execute as @a[scores={elixir=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{elixir:1}}}] run execute at @s run title @s actionbar {"text":"Using Item","color":"aqua","bold":"true"}

execute as @a[scores={elixir=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{elixir:1}}}] run execute at @s run particle lava ~ ~-1 ~ 1 1 1 0 58 force

execute as @a[scores={elixir=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{elixir:1}}}] run execute at @s run effect clear @s

execute as @a[scores={elixir=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{elixir:1}}}] run execute at @s run effect give @s regeneration 10 20

execute as @a[scores={elixir=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{elixir:1}}}] run execute at @s run clear @s carrot_on_a_stick{elixir:1} 1

scoreboard players remove @a[scores={elixir=1..}] elixir 1

# MORE MORE RCD {1.1}

scoreboard objectives add scroll0 minecraft.used:minecraft.carrot_on_a_stick

execute as @a[scores={scroll0=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{scroll0:1}}}] run execute at @s run title @s actionbar {"text":"Scroll Used","color":"dark_red","bold":"true"}

execute as @a[scores={scroll0=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{scroll0:1}}}] run execute at @s run particle lava ~ ~-1 ~ 1 1 1 0 58 force

execute as @a[scores={scroll0=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{scroll0:1}}}] run execute at @s run effect give @s jump_boost 30 5

scoreboard players remove @a[scores={scroll0=1..}] scroll0 1

### so much rcd. i dont like rcd anymore. if u see this. shud i use smth else ??

scoreboard objectives add scroll1 minecraft.used:minecraft.carrot_on_a_stick

execute as @a[scores={scroll1=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{scroll1:1}}}] run execute at @s run title @s actionbar {"text":"Scroll Used","color":"dark_red","bold":"true"}

execute as @a[scores={scroll1=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{scroll1:1}}}] run execute at @s run particle lava ~ ~-1 ~ 1 1 1 0 58 force

execute as @a[scores={scroll1=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{scroll1:1}}}] run execute at @s run effect give @s speed 30 5

scoreboard players remove @a[scores={scroll1=1..}] scroll1 1

## !!!!!!crafting code.!!!!!! NO FUNC CODE BELOW THIS

function greek:craft
